%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/kovidgoyal/imaging
Version:                1.6.3

%gometa -L

%global common_description %{expand:
Imaging is a simple image processing package for Go.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           golang-github-kovidgoyal-imaging
Release:    1%{?dist}
Summary:        Imaging is a simple image processing package for Go

License:        MIT
URL:            %{gourl}
Source0:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep -A
%autopatch -p1

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Tue Sep 03 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.3-1
- initial build
